package Wxhook

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/Wxhook"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /wxhook/sendPicMsg Wxhook SendPicMsg
//
// 发送微信图片
//
// 发送微信图片
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: SendPicMsgReq
//
// Responses:
//  200: BaseMsgResp

func SendPicMsgHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.SendPicMsgReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := Wxhook.NewSendPicMsgLogic(r.Context(), svcCtx)
		resp, err := l.SendPicMsg(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
